### Virtual Method

# Gio File is_native

#### Declaration [src]

    gboolean
    is_native (
      GFile* file
    )

#### Description [src]

Checks to see if a file is native to the platform.

A native file is one expressed in the platform-native filename format, e.g. “C:\Windows” or “/usr/bin/”. This does not mean the file is local, as it might be on a locally mounted remote filesystem.

On some systems non-native files may be available using the native filesystem via a userspace filesystem (FUSE), in these cases this call will return `FALSE`, but `g_file_get_path()` will still return a native path.

This call does no blocking I/O.

#### Return value

Type: `gboolean`

`TRUE` if `file` is native.